PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package serverobject
  Definition Classes
    objects
-  package mount
  Definition Classes
    serverobject
- LargeCargo
- MaxOnly
- MountInfo
- MountRestriction
- Mountable
- MountableBehavior
- MountableDefinition
- MountableSpace
- MountableSpaceDefinition
- NoMax
- NoReinforcedOrMax
- Seat
- SeatDefinition
- SmallCargo
- Unrestricted

c

net.psforever.objects.serverobject.mount

# Seat

###

#### class Seat extends MountableSpace[Player]

Source
  Seat.scala

Linear Supertypes
MountableSpace[Player], AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Seat
2. MountableSpace
3. AnyRef
4. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new Seat(sdef: SeatDefinition)

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def bailable: Boolean

   Does this mountable space count as being "bailable", a condition whereupon it can be unmounted under duress? The conditions of the duress do not matter at the moment; this is only a test of possibility.

   Does this mountable space count as being "bailable", a condition whereupon it can be unmounted under duress? The conditions of the duress do not matter at the moment; this is only a test of possibility.

   Definition Classes
     MountableSpace
6.  def canBeOccupied: Boolean

   Can something be mounted? Use this method as a test for "availability".

   Can something be mounted? Use this method as a test for "availability".

   Definition Classes
     MountableSpace
7.  def canBeOccupiedBy(target: Player): Boolean

   Is this specific entity allowed to be mounted in this space? Utiltizes restriction tests, but not "availability" tests.

   Is this specific entity allowed to be mounted in this space? Utiltizes restriction tests, but not "availability" tests.

   Definition Classes
     MountableSpace
   See also

     `MountableDefinition[A].restriction`

8.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
9.  def definition: SeatDefinition

   The information that establishes the underlying characteristics of this mountable space.

   The information that establishes the underlying characteristics of this mountable space.

   Definition Classes
     Seat → MountableSpace
10.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
11.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
12.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
13.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
14.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
15.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
16.  def isOccupied: Boolean

    Is anything be seated? Do not use this method as a test for "availability".

    Is anything be seated? Do not use this method as a test for "availability".

    Definition Classes
      MountableSpace
17.  def isOccupiedBy(target: Player): Boolean

    Is this specific entity currently mounted?

    Is this specific entity currently mounted?

    Definition Classes
      MountableSpace
18.  def mount(target: Option[Player]): Option[Player]

    Attempt to mount the target entity in this space.

    Attempt to mount the target entity in this space.

    Definition Classes
      MountableSpace
19.  def mount(target: Player): Option[Player]

    Attempt to mount the target entity in this space.

    Attempt to mount the target entity in this space.

    Definition Classes
      MountableSpace
20.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
21.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
22.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
23.  def occupant: Option[Player]

    A single mounted entity.

    A single mounted entity.

    returns

      one mounted entity at most, or `None`

    Definition Classes
      MountableSpace
24.  def occupants: List[Player]

    A collection of any mounted entity.

    A collection of any mounted entity. Useful for compiling all seated users using `flatMap`.

    returns

      all mounted entities

    Definition Classes
      MountableSpace
25.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
26.  def testToMount(target: Player): Boolean

    Tests whether the target is allowed to be mounted.

    Tests whether the target is allowed to be mounted.

    Attributes
      protected
    Definition Classes
      Seat → MountableSpace
    See also

      `MountableSpace[A].canBeOccupiedBy(A)`

27.  def testToUnmount(target: Player): Boolean

    Tests whether the target is capable of being unmounted from this place.

    Tests whether the target is capable of being unmounted from this place.

    Attributes
      protected
    Definition Classes
      MountableSpace
    See also

      `MountableSpace[A].isOccupiedBy(A)`

28.  def toString(): String
    Definition Classes
      AnyRef → Any
29.  def unmount(target: Option[Player]): Option[Player]

    Attempt to dismount the target entity from this space.

    Attempt to dismount the target entity from this space.

    Definition Classes
      MountableSpace
30.  def unmount(target: Player): Option[Player]

    Attempt to dismount the target entity from this space.

    Attempt to dismount the target entity from this space.

    Definition Classes
      MountableSpace
31.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
32.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
33.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from MountableSpace[Player]

### Inherited from AnyRef

### Inherited from Any

### Ungrouped